import type { PackedLambda } from '@bifravst/aws-cdk-lambda-helpers';
import type { PackedLayer } from '@bifravst/aws-cdk-lambda-helpers/layer';
import type { App } from 'aws-cdk-lib';
import { Stack } from 'aws-cdk-lib';
/**
 * This is CloudFormation stack sets up a dummy HTTP API which stores all requests in SQS for inspection
 */
export declare class HTTPAPIMockStack extends Stack {
    constructor(parent: App, stackName: string, { lambdaSources, layer, }: {
        lambdaSources: {
            httpApiMock: PackedLambda;
        };
        layer: PackedLayer;
    });
}
export type StackOutputs = {
    apiURL: string;
    requestsTableName: string;
    responsesTableName: string;
};
